Canvas Guides (English)Canvas GuidesCanvas Basics GuideGeneral InformationWhat are the browser and computer requirements for Instructure products?

What are the browser and computer requirements for Instructure products?

For best performance, Instructure products should be used on the current or previous major releases of Chrome, Firefox, Edge, or Safari. Because Instructure products are built using web standards, Instructure products run on Windows, Mac, Linux, iOS, Android, or any other device with a modern web browser.

Instructure products require an operating system that can run the latest compatible web browsers. Your computer operating system should be kept up to date with the latest recommended security updates and upgrades.

Note: Vanity Canvas URL users may encounter SSL validation errors when they open Canvas if their browser or any other tools interacting with Canvas are not Server Name Indication (SNI) compatible. All browser versions listed in this guide are SNI compatible.

Supported Browsers

The widget above searches your current browser settings and indicates your browser status. You should always use the most current version of your preferred browser. Your browser will notify you if there is a new version available. Cookies and JavaScript should be enabled.

Unsupported Browser Banner in Canvas

Some supported browsers may still produce a banner stating Your browser does not meet the minimum requirements for Canvas. If you have upgraded your browser, but you are still seeing the warning banner, try logging out of Canvas and clearing your browser's cache and cookies.

Enterprise Extended Release Browsers in Canvas

Chrome and Firefox offer extended release versions for organizations that manage client desktops. Chrome ESR can be kept up-to-date with the existing full version of Chrome at any time. However, Firefox ESR is only updated with every seventh major version, which causes Firefox ESR to overlap with outdated versions. The Firefox ESR webpage notes that ESR may not be supported in every web application because of this version release delay. Institutions who use Firefox ESR should consider deploying the latest release to ensure the best Canvas user experience.

* For extended release browser versions, the warning banner still applies and displays in Canvas for any browser below the minimum version requirement.

Known Browser Behaviors

Like all Instructure product features, contrary behaviors relating to browsers are prioritized by our product teams, and some behaviors in the previous version may not be resolved. If a behavior exists in the previous version of the browser that does not exist in the current version, the best solution is to update to the newest browser version.

Accessibility

Instructure is committed to W3C's Web Accessibility Initiative. To learn about supported screen reader and browser combinations, please see the Canvas accessibility standards, accessibility within Studio, and Mastery Connect accessibility options documents.

JavaScript

JavaScript must be enabled to run Canvas.

Cookies

Cookies must be enabled. Additionally, some Canvas functionality requires third-party cookies to be enabled. You can learn how to enable third-party cookies.

Browser Plugins and Extensions

Some browser plugins or extensions may conflict with Instructure products and affect functionality. If you experience behavior that does not allow you to view or participate in Instructure products, please ensure you have disabled any extensions or plugins that interact directly with your web browser.

For troubleshooting, consider logging in to Instructure products using an incognito or private browser window, which provides a browser session without any prior browsing or search history, associated browser cookies, or other factors that may interfere with the browser. If you are able to view and participate in an Instructure product using an incognito or private browser window, the behavior you are experiencing is likely related to the browser and not the Instructure product.

Browser Privacy Settings

To ensure browser security, follow all browser security policies established by your institution, especially if you are using Instructure products on a computer provided by your institution.

When displaying content, Instructure products default to the preference set by a specific browser. Some browsers may occasionally make modifications to privacy settings to protect users from possible insecure content. Insecure content is identified with the prefix http:// in the URL and can create mixed content in your product page. Secured content is identified with the https:// prefix in the URL. For the best user experience, content should be secure to avoid browser conflicts.

  • If you are a Canvas admin, insecure content may be caused by hosting an insecure JS/CSS file outside of Canvas. If custom uploads are supported for your account, you can host your file in the Canvas Theme Editor, which will resolve any browser conflicts.
  • If you are a Canvas instructor who embeds Canvas lessons inside your course, you can prevent browser issues with mixed content using secured Canvas Guides URLs. 

Known Browser Behaviors

Chrome, Edge, Firefox, and Safari use HTML5 to display website content, promoting a faster, more secure browsing experience. For best performance in Instructure products, content should be designed to support HTML5.

In browsers such as Safari, insecure content never displays in the browser.

However, in Chrome and Firefox, you may be able to view insecure content. Please be aware of possible restrictions and view insecure content with caution.

The Safari browser does not support recording media.

Chrome Security

Google Chrome verifies that the website content you view is transmitted securely. If you visit a page in your Instructure product that is linked to insecure content, Chrome displays a Not Secure security symbol in the browser address bar [1].

To select any needed permissions for a page, you can override security restrictions by clicking the Not Secure symbol and then clicking the Site settings link [2].

You can learn more about Chrome security.

Chrome Media Permissions

Chrome Media Permissions

Chrome has its own media permission within the browser. To use your computer camera and microphone within any Instructure product feature, allow access to Instructure products via Chrome's media permission settings. This prompt appears just below the address bar [1]. To allow access, click the Allow button [2].

Firefox Security

Firefox Security

Firefox verifies that the website content you view is transmitted securely. If you visit a page in your Instructure product that is linked to insecure content, Firefox displays a crossed-out lock icon in the browser address bar [1].

To enable any needed permissions for a page, you can override security restrictions by clicking the crossed-out lock icon, clicking the Connection not secure option [2], clicking the More Information link, and selecting the Permissions tab.

Computer Specifications

For best performance, access Instructure products with a computer that supports the most recent browser versions. It is recommended to use a computer five years old or newer with at least 1GB of RAM.

Operating System

Instructure products require an operating system that can run the latest compatible web browsers. Your computer operating system should be kept up to date with the latest recommended security updates and upgrades.

Internet Speed

Along with compatibility and web standards, Instructure products have been carefully crafted to accommodate low bandwidth environments.

It is recommended to have a minimum Internet speed of 512 kbps.

Mobile Devices

Instructure products are optimized for desktop displays. However, if you are using a mobile device, you can access Instructure products using a mobile application (app) or mobile browser. 

Mobile Apps

For the best user experience, please download the product mobile apps. Mobile apps are currently available for Canvas and Mastery Connect.

The Canvas mobile apps require Android 8.0 or later and iOS 15.0 or later. Canvas offers limited support for native mobile browsers on tablet devices. For additional details, please reference the limited-support mobile browser guidelines.

Mastery Connect mobile apps require Android 8.0 or later and iOS 15.0 or later. For additional details, please reference Mastery Connect Requirements.

Mobile Browsers

Visit the Apple store or the Play store to download mobile browsers. The following major browsers are compatible with mobile devices:

iOS

  • Safari (default browser with limited Canvas support)
  • Chrome

Android

  • Chrome (default browser with limited Canvas support)*
  • Internet
  • Firefox

*Android default browser varies per mobile device.